//==============================================================================
//
// Title:       MclIoExm
// Purpose:     A short description of the application.
//
// Created on:  23/04/2010 at 11:59:38 by prog.
// Copyright:   . All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include "mclIoExample.h"
#include <ansi_c.h>
#include <cvirte.h>     
#include <userint.h>
#include "MclIoExm.h"
#include "toolbox.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// Static global variables

static int panelHandle;

//==============================================================================
// Static functions

//==============================================================================
// Global variables

//==============================================================================
// Global functions

/// HIFN The main entry-point function.
int main (int argc, char *argv[])
{
    int error = 0;
    
    /* initialize and load resources */
    nullChk (InitCVIRTE (0, argv, 0));
    errChk (panelHandle = LoadPanel (0, "MclIoExm.uir", PANEL));
    
    /* display the panel and run the user interface */
    errChk (DisplayPanel (panelHandle));
    errChk (RunUserInterface ());

Error:
    /* clean up */
    DiscardPanel (panelHandle);
    return 0;
}

//==============================================================================
// UI callback function prototypes

/// HIFN Exit when the user dismisses the panel.
int CVICALLBACK panelCB (int panel, int event, void *callbackData,
        int eventData1, int eventData2)
{
    if (event == EVENT_CLOSE)
        QuitUserInterface (0);
    return 0;
}

int CVICALLBACK SendButton (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	
	
	unsigned char val = 128;

	CAObjHandle obj;	  
	MCLUSBToIO_New_USB_IO(NULL,1,LOCALE_NEUTRAL,0,&obj);
	MCLUSBToIO__USB_IOConnect(obj,NULL,(char **)"",0);
	MCLUSBToIO__USB_IOSet_ByteA_As_Output(obj,NULL,0);
	
	MCLUSBToIO__USB_IOSet_ByteA(obj,NULL,&val,0);
	MCLUSBToIO__USB_IODisconnect(obj,NULL);
	
	
	
	
	return 0;
}
