#ifndef _MCLUSBTOIO_H
#define _MCLUSBTOIO_H

#include <cviauto.h>

#ifdef __cplusplus
    extern "C" {
#endif
extern const IID MCLUSBToIO_IID__USB_IO;

HRESULT CVIFUNC MCLUSBToIO_New_USB_IO (const char *server,
                                       int supportMultithreading, LCID locale,
                                       int reserved, CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLUSBToIO_Open_USB_IO (const char *fileName, const char *server,
                                        int supportMultithreading, LCID locale,
                                        int reserved, CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLUSBToIO_Active_USB_IO (const char *server,
                                          int supportMultithreading, LCID locale,
                                          int reserved,
                                          CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_SPI_PulseWidth (CAObjHandle objectHandle,
                                                      ERRORINFO *errorInfo,
                                                      short *pulsWidth,
                                                      short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOGetByte (CAObjHandle objectHandle,
                                           ERRORINFO *errorInfo, char **byteName,
                                           unsigned char *returnedByteVal,
                                           short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOGet_Available_SN_List (CAObjHandle objectHandle,
                                                         ERRORINFO *errorInfo,
                                                         char **SN_List,
                                                         short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IORead_ModelName (CAObjHandle objectHandle,
                                                  ERRORINFO *errorInfo,
                                                  char **modelName, short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IORead_SN (CAObjHandle objectHandle,
                                           ERRORINFO *errorInfo, char **SN,
                                           short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_Byte (CAObjHandle objectHandle,
                                            ERRORINFO *errorInfo,
                                            char **byteName, short *byteVal,
                                            short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSPI_OUT_Trigg (CAObjHandle objectHandle,
                                                 ERRORINFO *errorInfo,
                                                 char **regData, short *trigger,
                                                 short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSPI_OUT (CAObjHandle objectHandle,
                                           ERRORINFO *errorInfo, char **clockBit,
                                           char **dataBit, char **LEBit,
                                           char **regData, short *arg5);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteA_As_Input (CAObjHandle objectHandle,
                                                      ERRORINFO *errorInfo,
                                                      short *arg1);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteB_As_Input (CAObjHandle objectHandle,
                                                      ERRORINFO *errorInfo,
                                                      short *arg1);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteA_As_Output (CAObjHandle objectHandle,
                                                       ERRORINFO *errorInfo,
                                                       short *arg1);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteB_As_Output (CAObjHandle objectHandle,
                                                       ERRORINFO *errorInfo,
                                                       short *arg1);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteA (CAObjHandle objectHandle,
                                             ERRORINFO *errorInfo,
                                             unsigned char *val, short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOReadByteA (CAObjHandle objectHandle,
                                             ERRORINFO *errorInfo,
                                             unsigned char *ret_ByteVal,
                                             short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IORead_Relays_Byte (CAObjHandle objectHandle,
                                                    ERRORINFO *errorInfo,
                                                    unsigned char *retVal,
                                                    short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOReadByteB (CAObjHandle objectHandle,
                                             ERRORINFO *errorInfo,
                                             unsigned char *ret_ByteVal,
                                             short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOReadBit (CAObjHandle objectHandle,
                                           ERRORINFO *errorInfo,
                                           char **bitRequest,
                                           unsigned char *ret_BitVal,
                                           short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_ByteB (CAObjHandle objectHandle,
                                             ERRORINFO *errorInfo,
                                             unsigned char *val, short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_RelayByte (CAObjHandle objectHandle,
                                                 ERRORINFO *errorInfo,
                                                 unsigned char *val, short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_Relay (CAObjHandle objectHandle,
                                             ERRORINFO *errorInfo,
                                             short *relayNo, short *on_OFF,
                                             short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOSet_TTLBit (CAObjHandle objectHandle,
                                              ERRORINFO *errorInfo,
                                              char **bitName, short *bitVal,
                                              short *arg3);

HRESULT CVIFUNC MCLUSBToIO__USB_IOConnect (CAObjHandle objectHandle,
                                           ERRORINFO *errorInfo, char **SN,
                                           short *arg2);

HRESULT CVIFUNC MCLUSBToIO__USB_IODisconnect (CAObjHandle objectHandle,
                                              ERRORINFO *errorInfo);
#ifdef __cplusplus
    }
#endif
#endif /* _MCLUSBTOIO_H */
